## mylvmbackup 0.6

=== Makefile ===
#
# Simple Makefile for mylvmbackup
#

# required programs
A2X = /usr/bin/a2x
A2XMANFLAGS = -d manpage -f manpage
A2XHTMLFLAGS = -d manpage -f xhtml
CHMOD = /bin/chmod
CP = /bin/cp
FIND = /usr/bin/find
GZIP = /bin/gzip
INSTALL = /usr/bin/install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755
INSTALL_CONF = $(INSTALL) -m 600
POD2MAN = /usr/bin/pod2man
POD2TEXT = /usr/bin/pod2text
RM = /bin/rm
RPMBUILD = /usr/bin/rpmbuild
RPMFLAGS = -ta --clean
SED = /bin/sed
SHELL = /bin/sh
TAR = /bin/tar

# define some variables

NAME = mylvmbackup
VERSION = 0.6
MAN1 = man/$(NAME).1
DISTFILES = COPYING \
	INSTALL \
	ChangeLog \
	Makefile \
	man \
	$(NAME) \
	$(NAME).pl.in \
	$(NAME).spec \
	$(NAME).spec.in \
	$(NAME).conf \
	README \
	TODO
CLEANFILES = $(NAME).spec $(NAME) $(MAN1) $(MAN1).html
prefix = /usr/local
sysconfdir = /etc
bindir = $(prefix)/bin
distdir = $(NAME)-$(VERSION)
mandir = $(prefix)/man
man1dir = $(mandir)/man1

all: $(DISTFILES) $(MAN1)

$(NAME).spec: $(NAME).spec.in
	$(SED) -e s/@VERSION@/$(VERSION)/ < $< > $@

$(NAME): $(NAME).pl.in
	$(SED) -e s/@VERSION@/$(VERSION)/ < $< > $@
	$(CHMOD) 755 $@

$(MAN1):
	$(A2X) $(A2XMANFLAGS) $(MAN1).txt
	$(RM) $(MAN1).xml

htmlman:
	$(A2X) $(A2XHTMLFLAGS) $(MAN1).txt
	$(RM) $(MAN1).xml

install: all
	test -d $(DESTDIR)$(bindir) || $(INSTALL) -d $(DESTDIR)$(bindir)
	test -d $(DESTDIR)$(man1dir) || $(INSTALL) -d $(DESTDIR)$(man1dir)
	test -d $(DESTDIR)$(sysconfdir) || $(INSTALL) -d $(DESTDIR)$(sysconfdir)
	$(INSTALL_PROGRAM) $(NAME) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(MAN1) $(DESTDIR)$(man1dir)/$(NAME).1
	$(INSTALL_CONF) $(NAME).conf $(DESTDIR)$(sysconfdir)

uninstall:
	$(RM) -f $(DESTDIR)$(bindir)/$(NAME)
	$(RM) -f $(DESTDIR)$(man1dir)/$(NAME).1
	$(RM) -f $(DESTDIR)$(sysconfdir)/$(NAME).conf

distdir: all
	if test -d $(distdir) ; then $(RM) -rf $(distdir) ; fi
	mkdir $(distdir)
	$(CP) -a $(DISTFILES) $(distdir)
	$(RM) -rf `$(FIND) $(distdir) -type d -name .svn -print`

dist: distdir
	$(TAR) chof - $(distdir) | $(GZIP) -c > $(distdir).tar.gz
	$(RM) -rf $(distdir)

rpm: dist
	$(RPMBUILD) $(RPMFLAGS) $(distdir).tar.gz

.PHONY: clean
clean:
	$(RM) -f $(CLEANFILES)

maintainer-clean: clean
	$(RM) -f $(distdir).tar.gz

## mylvmbackup 0.8

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.6
+VERSION = 0.8
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
 	INSTALL \

## mylvmbackup 0.9

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.8
+VERSION = 0.9
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
 	INSTALL \
@@ -44,6 +44,7 @@
 prefix = /usr/local
 sysconfdir = /etc
 bindir = $(prefix)/bin
+datadir = $(prefix)/share/mylvmbackup
 distdir = $(NAME)-$(VERSION)
 mandir = $(prefix)/man
 man1dir = $(mandir)/man1
@@ -69,6 +70,7 @@
 	test -d $(DESTDIR)$(bindir) || $(INSTALL) -d $(DESTDIR)$(bindir)
 	test -d $(DESTDIR)$(man1dir) || $(INSTALL) -d $(DESTDIR)$(man1dir)
 	test -d $(DESTDIR)$(sysconfdir) || $(INSTALL) -d $(DESTDIR)$(sysconfdir)
+	test -d $(DESTDIR)$(datadir) || $(INSTALL) -d $(DESTDIR)$(datadir)
 	$(INSTALL_PROGRAM) $(NAME) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(MAN1) $(DESTDIR)$(man1dir)/$(NAME).1
 	$(INSTALL_CONF) $(NAME).conf $(DESTDIR)$(sysconfdir)

## mylvmbackup 0.10

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.9
+VERSION = 0.10
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
 	INSTALL \
@@ -84,7 +84,6 @@
 	if test -d $(distdir) ; then $(RM) -rf $(distdir) ; fi
 	mkdir $(distdir)
 	$(CP) -a $(DISTFILES) $(distdir)
-	$(RM) -rf `$(FIND) $(distdir) -type d -name .svn -print`
 
 dist: distdir
 	$(TAR) chof - $(distdir) | $(GZIP) -c > $(distdir).tar.gz

## mylvmbackup 0.11

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,8 @@
 #
 
 # required programs
-A2X = /usr/bin/a2x
-A2XMANFLAGS = -d manpage -f manpage
-A2XHTMLFLAGS = -d manpage -f xhtml
+POD2MAN = /usr/bin/pod2man
+POD2HTML = /usr/bin/pod2html
 CHMOD = /bin/chmod
 CP = /bin/cp
 FIND = /usr/bin/find
@@ -14,8 +13,7 @@
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_CONF = $(INSTALL) -m 600
-POD2MAN = /usr/bin/pod2man
-POD2TEXT = /usr/bin/pod2text
+MV = /bin/mv
 RM = /bin/rm
 RPMBUILD = /usr/bin/rpmbuild
 RPMFLAGS = -ta --clean
@@ -26,9 +24,10 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.10
+VERSION = 0.11
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
+	CREDITS \
 	INSTALL \
 	ChangeLog \
 	Makefile \
@@ -59,12 +58,11 @@
 	$(CHMOD) 755 $@
 
 $(MAN1):
-	$(A2X) $(A2XMANFLAGS) $(MAN1).txt
-	$(RM) $(MAN1).xml
+	$(POD2MAN) man/$(NAME).pod > $(MAN1)
 
 htmlman:
-	$(A2X) $(A2XHTMLFLAGS) $(MAN1).txt
-	$(RM) $(MAN1).xml
+	$(POD2HTML) man/$(NAME).pod > man/$(NAME).html
+	$(RM) -f pod2htmd.tmp  pod2htmi.tmp
 
 install: all
 	test -d $(DESTDIR)$(bindir) || $(INSTALL) -d $(DESTDIR)$(bindir)
@@ -73,6 +71,7 @@
 	test -d $(DESTDIR)$(datadir) || $(INSTALL) -d $(DESTDIR)$(datadir)
 	$(INSTALL_PROGRAM) $(NAME) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(MAN1) $(DESTDIR)$(man1dir)/$(NAME).1
+	if test -f $(DESTDIR)$(sysconfdir)/$(NAME).conf ; then $(MV) $(DESTDIR)$(sysconfdir)/$(NAME).conf $(DESTDIR)$(sysconfdir)/$(NAME).conf.bak ; fi
 	$(INSTALL_CONF) $(NAME).conf $(DESTDIR)$(sysconfdir)
 
 uninstall:

## mylvmbackup 0.13

=== Makefile ===
--- 
+++ 
@@ -24,19 +24,23 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.11
+VERSION = 0.13
+BUILDDATE = $(shell date +%Y-%m-%d)
 MAN1 = man/$(NAME).1
-DISTFILES = COPYING \
+HOOKS := $(wildcard hooks/*.pm)
+DISTFILES = \
+	ChangeLog \
+	COPYING \
 	CREDITS \
+	hooks \
 	INSTALL \
-	ChangeLog \
 	Makefile \
 	man \
 	$(NAME) \
+	$(NAME).conf \
 	$(NAME).pl.in \
 	$(NAME).spec \
 	$(NAME).spec.in \
-	$(NAME).conf \
 	README \
 	TODO
 CLEANFILES = $(NAME).spec $(NAME) $(MAN1) $(MAN1).html
@@ -54,14 +58,15 @@
 	$(SED) -e s/@VERSION@/$(VERSION)/ < $< > $@
 
 $(NAME): $(NAME).pl.in
-	$(SED) -e s/@VERSION@/$(VERSION)/ < $< > $@
+	$(SED) -e s/@BUILDDATE@/$(BUILDDATE)/ \
+	       -e s/@VERSION@/$(VERSION)/ < $< > $@
 	$(CHMOD) 755 $@
 
 $(MAN1):
 	$(POD2MAN) man/$(NAME).pod > $(MAN1)
 
 htmlman:
-	$(POD2HTML) man/$(NAME).pod > man/$(NAME).html
+	$(POD2HTML) man/$(NAME).pod > $(MAN1).html
 	$(RM) -f pod2htmd.tmp  pod2htmi.tmp
 
 install: all
@@ -73,11 +78,13 @@
 	$(INSTALL_DATA) $(MAN1) $(DESTDIR)$(man1dir)/$(NAME).1
 	if test -f $(DESTDIR)$(sysconfdir)/$(NAME).conf ; then $(MV) $(DESTDIR)$(sysconfdir)/$(NAME).conf $(DESTDIR)$(sysconfdir)/$(NAME).conf.bak ; fi
 	$(INSTALL_CONF) $(NAME).conf $(DESTDIR)$(sysconfdir)
+	for HOOK in $(HOOKS) ; do if [ ! -f $(DESTDIR)$(datadir)/$$HOOK ] ; then $(INSTALL_DATA) -v $$HOOK $(DESTDIR)$(datadir) ; fi ; done
 
 uninstall:
 	$(RM) -f $(DESTDIR)$(bindir)/$(NAME)
 	$(RM) -f $(DESTDIR)$(man1dir)/$(NAME).1
 	$(RM) -f $(DESTDIR)$(sysconfdir)/$(NAME).conf
+	for HOOK in $(notdir $(HOOKS)) ; do $(RM) -f $(DESTDIR)$(datadir)/$$HOOK ; done
 
 distdir: all
 	if test -d $(distdir) ; then $(RM) -rf $(distdir) ; fi

## mylvmbackup 0.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,19 @@
 #
 # Simple Makefile for mylvmbackup
 #
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
 # required programs
 POD2MAN = /usr/bin/pod2man
@@ -9,12 +22,13 @@
 CP = /bin/cp
 FIND = /usr/bin/find
 GZIP = /bin/gzip
-INSTALL = /usr/bin/install
+INSTALL = /usr/bin/install -p
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_CONF = $(INSTALL) -m 600
 MV = /bin/mv
 RM = /bin/rm
+PERL = /usr/bin/perl
 RPMBUILD = /usr/bin/rpmbuild
 RPMFLAGS = -ta --clean
 SED = /bin/sed
@@ -24,7 +38,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.13
+VERSION = 0.15
 BUILDDATE = $(shell date +%Y-%m-%d)
 MAN1 = man/$(NAME).1
 HOOKS := $(wildcard hooks/*.pm)
@@ -49,7 +63,7 @@
 bindir = $(prefix)/bin
 datadir = $(prefix)/share/mylvmbackup
 distdir = $(NAME)-$(VERSION)
-mandir = $(prefix)/man
+mandir = $(prefix)/share/man
 man1dir = $(mandir)/man1
 
 all: $(DISTFILES) $(MAN1)
@@ -59,6 +73,7 @@
 
 $(NAME): $(NAME).pl.in
 	$(SED) -e s/@BUILDDATE@/$(BUILDDATE)/ \
+	       -e s_@PERL@_$(PERL)_ \
 	       -e s/@VERSION@/$(VERSION)/ < $< > $@
 	$(CHMOD) 755 $@
 
@@ -68,6 +83,9 @@
 htmlman:
 	$(POD2HTML) man/$(NAME).pod > $(MAN1).html
 	$(RM) -f pod2htmd.tmp  pod2htmi.tmp
+
+install-bin: $(NAME)
+	$(INSTALL_PROGRAM) $(NAME) $(DESTDIR)$(bindir)
 
 install: all
 	test -d $(DESTDIR)$(bindir) || $(INSTALL) -d $(DESTDIR)$(bindir)
@@ -104,3 +122,6 @@
 
 maintainer-clean: clean
 	$(RM) -f $(distdir).tar.gz
+
+syntaxcheck:
+	$(PERL) -c $(NAME).pl.in

=== debian/changelog ===
mylvmbackup (0.15-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Use SOURCE_DATE_EPOCH to set consistent build
    date. (Closes: #782318)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 22 Sep 2022 10:11:19 -0700

mylvmbackup (0.15-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
    - Closes: #965738

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 21 Apr 2022 10:42:15 -0300

mylvmbackup (0.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on libfile-copy-recursive-perl.
    (Closes: #789885)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 21:34:08 +0200

mylvmbackup (0.15-1) unstable; urgency=medium

  * New upstream release.
    + Remove the annoying LVM warnings about a leaked file descriptor.
      (closes: #703043)
  * Drop patches merged upstream:
    + 01_fix-makefile-path
    + 03_set-umask
  * Switch to dpkg-source 3.0 (quilt) format, thanks to Neil Wilson for the
    patch! (closes: #735465)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 22 May 2014 19:29:03 +0200

mylvmbackup (0.13-2) unstable; urgency=medium

  * Set umask before creating the backup. (closes: #518471)
  * Update upstream homepage. (closes: #608058)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 14 Feb 2011 13:34:43 +0100

mylvmbackup (0.13-1) unstable; urgency=low

  * New upstream release.
  * Fix some lintian warnings:
    + copyright-refers-to-versionless-license-file
    + debhelper-but-no-misc-depends

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 14 Jan 2010 21:15:20 +0100

mylvmbackup (0.12-1) unstable; urgency=low

  * New upstream release.
  * Now maintained by Debian MySQL Maintainers.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 03 Jul 2009 09:21:01 +0200

mylvmbackup (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 21 Jan 2009 12:29:48 +0100

mylvmbackup (0.10-1) unstable; urgency=low

  * New upstream release.
    + Add missing entry for "lvs" to mylvmbackup.conf. (closes: #494105)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 14 Sep 2008 11:39:26 +0200

mylvmbackup (0.9-1) unstable; urgency=low

  * New upstream release.
  * Add version to asciidoc build-dependency. (closes: #489566)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 11 Jul 2008 11:35:58 +0200

mylvmbackup (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 15 Apr 2008 22:08:03 +0200

mylvmbackup (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 08 Apr 2008 14:09:42 +0200

mylvmbackup (0.6-5) unstable; urgency=low

  * Move upstream website in control file to source stanza.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 26 Mar 2008 22:09:07 +0100

mylvmbackup (0.6-4) unstable; urgency=low

  * Add upstream website to long description.
  * Use /var/run/mysqld/ instead /var/tmp/ for PID file of InnoDB recovery.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sat, 03 Nov 2007 11:15:25 +0100

mylvmbackup (0.6-3) unstable; urgency=low

  * Change mode of /etc/mylvmbackup.conf to 600 in postinst.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 29 Oct 2007 19:45:24 +0100

mylvmbackup (0.6-2) unstable; urgency=low

  * Use dpatch for patch management.
  * Include /etc/mysql/my.cnf instead /etc/my.cnf in the backup.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 28 Oct 2007 19:06:55 +0100

mylvmbackup (0.6-1) unstable; urgency=low

  * New upstream release.
  * Add libtimedate-perl dependency.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 28 Oct 2007 17:57:53 +0100

mylvmbackup (0.5-1) unstable; urgency=low

  * Initial release. (closes: #448228)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sat, 27 Oct 2007 12:22:15 +0200

=== debian/control ===
Source: mylvmbackup
Section: misc
Priority: extra
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <norbert@tretkowski.de>
Build-Depends: debhelper-compat (= 13), asciidoc (>= 8.2.0), xsltproc, docbook-xsl
Standards-Version: 3.9.4
Homepage: http://lenzg.net/mylvmbackup/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-mysql/mylvmbackup/
Vcs-Svn: svn://svn.debian.org/svn/pkg-mysql/mylvmbackup/

Package: mylvmbackup
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdbd-mysql-perl, libtimedate-perl, libconfig-inifiles-perl, libfile-copy-recursive-perl, lvm2
Suggests: mysql-server
Description: quickly creating backups of MySQL server's data files
 To perform a backup, mylvmbackup obtains a read lock on all tables and
 flushes all server caches to disk, makes an LVM snapshot of the volume
 containing the MySQL data directory, and unlocks the tables again. The
 snapshot process takes only a small amount of time. When it is done, the
 server can continue normal operations, while the actual file backup
 proceeds.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

# Use consistent date for reproducible builds
BUILDDATE=$(shell date -u "+%Y-%m-%d" -d "@$(SOURCE_DATE_EPOCH)")

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- BUILDDATE=$(BUILDDATE)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

# Use override_dh_* targets to customize this.
# ---------------------------------------------------
# Followings are the old debian/rules
#
# #!/usr/bin/make -f
# # Uncomment this to turn on verbose mode.
# #export DH_VERBOSE=1
# #export DH_OPTIONS=-v
# 
# %:
# 	dh  $@
# 
# # Use override_dh_* targets to customize this.
# # ---------------------------------------------------
# # Followings are the old debian/rules
# #
# # #!/usr/bin/make -f
# # # -*- makefile -*-
# # # Sample debian/rules that uses debhelper.
# # # This file was originally written by Joey Hess and Craig Small.
# # # As a special exception, when this file is copied by dh-make into a
# # # dh-make output file, you may use that output file without restriction.
# # # This special exception was added by Craig Small in version 0.37 of dh-make.
# # 
# # # Uncomment this to turn on verbose mode.
# # #export DH_VERBOSE=1
# # 
# # 
# # include /usr/share/dpatch/dpatch.make
# # 
# # configure: configure-stamp
# # configure-stamp:
# # 	dh_testdir
# # 	# Add here commands to configure the package.
# # 
# # 	touch configure-stamp
# # 
# # 
# # build: build-stamp
# # 
# # build-stamp: configure-stamp patch
# # 	dh_testdir
# # 
# # 	# Add here commands to compile the package.
# # 	$(MAKE)
# # 	#docbook-to-man debian/mylvmbackup.sgml > mylvmbackup.1
# # 
# # 	touch $@
# # 
# # clean: unpatch
# # 	dh_testdir
# # 	dh_testroot
# # 	rm -f build-stamp configure-stamp
# # 
# # 	# Add here commands to clean up after the build process.
# # 	$(MAKE) clean
# # 
# # 	dh_clean 
# # 
# # install: build
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_clean -k 
# # 	dh_installdirs
# # 
# # 	# Add here commands to install the package into debian/mylvmbackup.
# # 	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/mylvmbackup install
# # 
# # # Build architecture-independent files here.
# # binary-indep: build install
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_installchangelogs ChangeLog
# # 	dh_installdocs
# # 	dh_installexamples
# # #	dh_install
# # #	dh_installmenu
# # #	dh_installdebconf	
# # #	dh_installlogrotate
# # #	dh_installemacsen
# # #	dh_installpam
# # #	dh_installmime
# # #	dh_python
# # #	dh_installinit
# # #	dh_installcron
# # #	dh_installinfo
# # 	dh_installman
# # 	dh_link
# # 	dh_strip
# # 	dh_compress
# # 	dh_fixperms
# # #	dh_perl
# # #	dh_makeshlibs
# # 	dh_installdeb
# # 	dh_shlibdeps
# # 	dh_gencontrol
# # 	dh_md5sums
# # 	dh_builddeb
# # 
# # binary: binary-indep binary-arch
# # .PHONY: build clean binary-indep binary-arch binary install configure unpatch
